Show / Hide Table of Contents

# Struct AgentMonsterNote

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.UI.Agent

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct AgentMonsterNote

### Fields

| Improve this Doc View Source

#### AgentInterface

##### Declaration

    public AgentInterface AgentInterface

##### Field Value

Type | Description
--- | ---
AgentInterface |

| Improve this Doc View Source

#### BaseId

##### Declaration

    public uint BaseId

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### ClassId

##### Declaration

    public byte ClassId

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### ClassIndex

##### Declaration

    public byte ClassIndex

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### Filter

##### Declaration

    public byte Filter

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### IsLocked

##### Declaration

    public byte IsLocked

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### MonsterNote

##### Declaration

    public byte MonsterNote

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### Rank

##### Declaration

    public byte Rank

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### StringVector

##### Declaration

    public StdVector<Utf8String> StringVector

##### Field Value

Type | Description
--- | ---
StdVector<Utf8String> |

### Methods

| Improve this Doc View Source

#### GetMonsterNoteIdForIndex(Int32)

##### Declaration

    public uint GetMonsterNoteIdForIndex(int index)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | index |

##### Returns

Type | Description
--- | ---
System.UInt32 |